<form (ngSubmit)="save()" [formGroup]="form">
  <div fxLayout="row" fxLayoutAlign="start center" mat-dialog-title>

    <h2 *ngIf="form.get('firstName').value || form.get('lastName').value" class="headline m-0" fxFlex="auto">
      {{ form.get('firstName').value + ' ' + form.get('lastName').value }}</h2>
    <h2 *ngIf="!form.get('firstName').value && !form.get('lastName').value" class="headline m-0" fxFlex="auto">Nuevo
      desarrollador</h2>

    <button class="text-secondary" mat-dialog-close mat-icon-button type="button">
      <mat-icon [icIcon]="icClose"></mat-icon>
    </button>
  </div>

  <mat-divider class="-mx-6 text-border"></mat-divider>

  <mat-dialog-content fxLayout="column">
    <div class="flex flex-col sm:flex-row">
      <mat-form-field class="mt-6 flex-auto">
        <mat-label>Nombres</mat-label>
        <input cdkFocusInitial formControlName="firstName" matInput>

        <mat-icon [icIcon]="icPerson" class="mr-3" matPrefix></mat-icon>
      </mat-form-field>

      <mat-form-field class="sm:mt-6 sm:ml-6 flex-auto">
        <mat-label>Apellidos</mat-label>
        <input cdkFocusInitial formControlName="lastName" matInput>

        <mat-icon [icIcon]="icPerson" class="mr-3" matPrefix></mat-icon>
      </mat-form-field>
    </div>

    <mat-form-field class="flex-auto">
      <mat-label>Email</mat-label>
      <input formControlName="email" matInput>

      <mat-icon [icIcon]="icMail" class="mr-3" matPrefix></mat-icon>
    </mat-form-field>

    <div *ngIf="isCreateMode()" class="flex flex-col sm:flex-row">
      <mat-form-field fxFlex="grow">
        <mat-label>Contraseña</mat-label>
        <input [type]="inputType" formControlName="password" matInput minlength="6" required>
        <button (click)="toggleVisibility()" mat-icon-button matSuffix matTooltip="Toggle Visibility" type="button">
          <mat-icon *ngIf="visible" [icIcon]="icVisibility"></mat-icon>
          <mat-icon *ngIf="!visible" [icIcon]="icVisibilityOff"></mat-icon>
        </button>
        <mat-hint>Contraseña de minimo 6 caracteres.</mat-hint>
        <mat-error *ngIf="form.get('password').hasError('required')">
          Su usuario necesitara una contraseña para iniciar sesión</mat-error>
      </mat-form-field>

      <mat-form-field fxFlex="grow">
        <mat-label>Confirmar contraseña</mat-label>
        <input [type]="inputType" formControlName="confirmPassword" matInput minlength="6" required>
        <button (click)="toggleVisibility()" mat-icon-button matSuffix matTooltip="Toggle Visibility" type="button">
          <mat-icon *ngIf="visible" [icIcon]="icVisibility"></mat-icon>
          <mat-icon *ngIf="!visible" [icIcon]="icVisibilityOff"></mat-icon>
        </button>
        <mat-hint>Contraseña de minimo 6 caracteres.</mat-hint>
        <mat-error *ngIf="form.get('confirmPassword').hasError('required')">
          Su usuario necesitara una contraseña para iniciar sesión</mat-error>
      </mat-form-field>
    </div>

    <mat-form-field class="flex-auto">
      <mat-label>Telefono</mat-label>
      <input formControlName="phone" matInput>

      <mat-icon [icIcon]="icPhone" class="mr-3" matPrefix></mat-icon>
    </mat-form-field>


  </mat-dialog-content>

  <mat-dialog-actions align="end">
    <button mat-button mat-dialog-close type="button">CANCEL</button>
    <button *ngIf="isCreateMode()" color="primary" mat-button type="submit">CREAR DESARROLLADOR</button>
    <button *ngIf="isUpdateMode()" color="primary" mat-button type="submit">ACTUALIZAR DESARROLADOR</button>
  </mat-dialog-actions>
</form>